package com.marvinelsen.chinese.phonetics.internal.tone.formatting

import com.marvinelsen.chinese.phonetics.Tone

internal data object ZhuyinToneFormatter : ToneFormatter {
    override fun format(tone: Tone) = when (tone) {
        Tone.FIRST -> ""
        Tone.SECOND -> "ˊ"
        Tone.THIRD -> "ˇ"
        Tone.FOURTH -> "ˋ"
        Tone.FIFTH -> "˙"
    }
}
