package com.marvinelsen.chinese.phonetics.internal.tone.parsing

import com.marvinelsen.chinese.phonetics.Tone

@Suppress("MagicNumber")
internal data object IntToneParser : ToneParser<Int> {
    override fun parseOrNull(input: Int) = when (input) {
        1 -> Tone.FIRST
        2 -> Tone.SECOND
        3 -> Tone.THIRD
        4 -> Tone.FOURTH
        5 -> Tone.FIFTH
        else -> null
    }
}
