package com.marvinelsen.chinese.phonetics.internal.tone.parsing

import com.marvinelsen.chinese.phonetics.Tone

internal data object PinyinToneParser : ToneParser<Char> {
    override fun parseOrNull(input: Char) = when (input) {
        '\u0304' -> Tone.FIRST
        '\u0301' -> Tone.SECOND
        '\u030C' -> Tone.THIRD
        '\u0300' -> Tone.FOURTH
        else -> null
    }
}
