package com.marvinelsen.chinese.phonetics.internal.syllable.formatting

import com.marvinelsen.chinese.phonetics.internal.syllable.Syllable
import com.marvinelsen.chinese.phonetics.toPinyinNumber

internal data object PinyinNumberSyllableFormatter : SyllableFormatter {
    override fun format(syllable: Syllable) = syllable.basePinyin + syllable.tone.toPinyinNumber()
}
