package com.marvinelsen.chinese.phonetics.internal.tone.formatting

import com.marvinelsen.chinese.phonetics.Tone

internal data object PinyinNumberToneFormatter : ToneFormatter {
    override fun format(tone: Tone) = when (tone) {
        Tone.FIRST -> "1"
        Tone.SECOND -> "2"
        Tone.THIRD -> "3"
        Tone.FOURTH -> "4"
        Tone.FIFTH -> "5"
    }
}
