package com.marvinelsen.chinese.phonetics.internal.tone.formatting

import com.marvinelsen.chinese.phonetics.Tone

internal data object PinyinToneFormatter : ToneFormatter {
    override fun format(tone: Tone) = when (tone) {
        Tone.FIRST -> "\u0304"
        Tone.SECOND -> "\u0301"
        Tone.THIRD -> "\u030C"
        Tone.FOURTH -> "\u0300"
        Tone.FIFTH -> ""
    }
}
