package com.marvinelsen.chinese.phonetics.internal.tone.parsing

import com.marvinelsen.chinese.phonetics.Tone

internal data object DigitToneParser : ToneParser<Char> {
    override fun parseOrNull(input: Char) = when (input) {
        '1' -> Tone.FIRST
        '2' -> Tone.SECOND
        '3' -> Tone.THIRD
        '4' -> Tone.FOURTH
        '5' -> Tone.FIFTH
        else -> null
    }
}
