package com.marvinelsen.chinese.phonetics.internal.tone.parsing

import com.marvinelsen.chinese.phonetics.Tone

internal data object ZhuyinToneParser : ToneParser<Char> {
    override fun parseOrNull(input: Char) = when (input) {
        '¯' -> Tone.FIRST
        'ˊ' -> Tone.SECOND
        'ˇ' -> Tone.THIRD
        'ˋ' -> Tone.FOURTH
        '˙' -> Tone.FIFTH
        else -> null
    }
}
